package domain

type TmallExchangeReturngoodsRefuseExchangeBaseResponse struct {
	/*
	   返回结果说明     */
	Message *string `json:"message,omitempty" `

	/*
	   返回结果码     */
	MsgCode *string `json:"msg_code,omitempty" `

	/*
	   是否成功调用     */
	Success *bool `json:"success,omitempty" `

	/*
	   换货单号基本信息     */
	Exchange *TmallExchangeReturngoodsRefuseExchange `json:"exchange,omitempty" `
}

func (s *TmallExchangeReturngoodsRefuseExchangeBaseResponse) SetMessage(v string) *TmallExchangeReturngoodsRefuseExchangeBaseResponse {
	s.Message = &v
	return s
}
func (s *TmallExchangeReturngoodsRefuseExchangeBaseResponse) SetMsgCode(v string) *TmallExchangeReturngoodsRefuseExchangeBaseResponse {
	s.MsgCode = &v
	return s
}
func (s *TmallExchangeReturngoodsRefuseExchangeBaseResponse) SetSuccess(v bool) *TmallExchangeReturngoodsRefuseExchangeBaseResponse {
	s.Success = &v
	return s
}
func (s *TmallExchangeReturngoodsRefuseExchangeBaseResponse) SetExchange(v TmallExchangeReturngoodsRefuseExchange) *TmallExchangeReturngoodsRefuseExchangeBaseResponse {
	s.Exchange = &v
	return s
}
